UninstallMode (install4j API)
Description: declaration: package: com.install4j.api.context, enum: UninstallMode

Package com.install4j.api.context

# Enum Class UninstallMode

java.lang.Object
java.lang.Enum<UninstallMode>
com.install4j.api.context.UninstallMode

All Implemented Interfaces:
  `Serializable`, `Comparable<UninstallMode>`, `Constable`

public enum UninstallMode extends Enum<UninstallMode>
Enumeration class that represents the different ways how install4j can handle the uninstallation of a file.

See Also:
  - `FileOptions`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Indicates that the uninstaller will always delete this file.
  `ALWAYS_BUT_NOT_FOR_UPDATE`
  Indicates that the destination file won't be deleted when the uninstaller runs as part of an update.
  `IF_CREATED`
  Indicates that if the destination file was created by the installer, it will be deleted for uninstallation.
  `IF_CREATED_BUT_NOT_FOR_UPDATE`
  Indicates that the destination file won't be deleted when the uninstaller runs as part of an update.
  `NEVER`
  Indicates that the destination file won't be deleted for uninstallation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UninstallMode`
  `getFromIntValue(int uninstall)`
  Convert int value to constant.
  `int`
  `getIntValue()`
  Convert to an int value.
  `String`
  `toString()`
  `static UninstallMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UninstallMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IF_CREATED

    public static final UninstallMode IF_CREATED
    Indicates that if the destination file was created by the installer, it will be deleted for uninstallation. This is the default setting.

  - ### NEVER

    public static final UninstallMode NEVER
    Indicates that the destination file won't be deleted for uninstallation.

  - ### ALWAYS

    public static final UninstallMode ALWAYS
    Indicates that the uninstaller will always delete this file. Handle with care.

  - ### IF_CREATED_BUT_NOT_FOR_UPDATE

    public static final UninstallMode IF_CREATED_BUT_NOT_FOR_UPDATE
    Indicates that the destination file won't be deleted when the uninstaller runs as part of an update. Otherwise it behaves like `IF_CREATED`.

  - ### ALWAYS_BUT_NOT_FOR_UPDATE

    public static final UninstallMode ALWAYS_BUT_NOT_FOR_UPDATE
    Indicates that the destination file won't be deleted when the uninstaller runs as part of an update. Otherwise it behaves like `ALWAYS`.

- ## Method Details

  - ### values

    public static UninstallMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UninstallMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFromIntValue

    public static UninstallMode getFromIntValue(int uninstall)
    Convert int value to constant.
    Parameters:
      `uninstall` - the int value
    Returns:
      the constant

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<UninstallMode>`

  - ### getIntValue

    public int getIntValue()
    Convert to an int value.
    Returns:
      the int value